| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
wxWCharBuffer Class Reference
Data Structures

`#include <wx/buffer.h>`

Inheritance diagram for wxWCharBuffer:
[legend]

## Detailed Description

This is a specialization of wxCharTypeBuffer<T> for `wchar_t` type.

##

Library: None; this class implementation is entirely header-based.
Category: Data Structures

## Public Types

typedef wxCharTypeBuffer< wchar_t > | wxCharTypeBufferBase
typedef wxScopedCharTypeBuffer < wchar_t > | wxScopedCharTypeBufferBase

## Public Member Functions

| wxWCharBuffer (const wxCharTypeBufferBase &buf)
| wxWCharBuffer (const wxScopedCharTypeBufferBase &buf)
| wxWCharBuffer (const CharType *str=NULL)
| wxWCharBuffer (size_t len)
| wxWCharBuffer (const wxCStrData &cstr)
Public Member Functions inherited from wxCharTypeBuffer< wchar_t >
| wxCharTypeBuffer (const CharType *str=NULL, size_t len=wxNO_LEN)
| Creates (owned) buffer from str and takes ownership of it.
| wxCharTypeBuffer (size_t len)
| Creates (owned) buffer of size len.
| wxCharTypeBuffer (const wxCharTypeBuffer &src)
| Copy constructor.
| wxCharTypeBuffer (const wxScopedCharTypeBuffer< wchar_t > &src)
| Makes a copy of scoped buffer src.
wxCharTypeBuffer & | operator= (const CharType *str)
| Assigns str to this buffer and takes ownership of it (i.e. the buffer becomes "owned").
wxCharTypeBuffer & | operator= (const wxCharTypeBuffer &src)
| Assignment operator behaves in the same way as the copy constructor.
wxCharTypeBuffer & | operator= (const wxScopedCharTypeBuffer< wchar_t > &src)
| Assigns a scoped buffer to this buffer.
bool | extend (size_t len)
| Extends the buffer to have size len.
bool | shrink (size_t len)
| Shrinks the buffer to have size len and NUL-terminates the string at this length.
Public Member Functions inherited from wxScopedCharTypeBuffer< wchar_t >
| wxScopedCharTypeBuffer ()
| Default constructor, creates NULL buffer.
| wxScopedCharTypeBuffer (const wxScopedCharTypeBuffer &src)
| Copy constructor.
wxScopedCharTypeBuffer & | operator= (const wxScopedCharTypeBuffer &src)
| Assignment operator behaves in the same way as the copy constructor.
| ~wxScopedCharTypeBuffer ()
| Destructor.
void | reset ()
| Resets the buffer to NULL, freeing the data if necessary.
CharType * | data ()
| Returns pointer to the stored data.
const CharType * | data () const
| Returns const pointer to the stored data.
size_t | length () const
| Returns length of the string stored.
| operator const CharType * () const
| Implicit conversion to C string.
CharType | operator[] (size_t n) const
| Random access to the stored C string.

## Additional Inherited Members

Static Public Member Functions inherited from wxScopedCharTypeBuffer< wchar_t >
static const wxScopedCharTypeBuffer | CreateNonOwned (const CharType *str, size_t len=wxNO_LEN)
| Creates non-owned buffer from string data str.
static const wxScopedCharTypeBuffer | CreateOwned (CharType *str, size_t len=wxNO_LEN)
| Creates owned buffer from str and takes ownership of it.

## Member Typedef Documentation

typedef wxCharTypeBuffer<wchar_t> wxWCharBuffer::wxCharTypeBufferBase

typedef wxScopedCharTypeBuffer<wchar_t> wxWCharBuffer::wxScopedCharTypeBufferBase

## Constructor & Destructor Documentation

wxWCharBuffer::wxWCharBuffer | ( | const wxCharTypeBufferBase & | buf | ) |

wxWCharBuffer::wxWCharBuffer | ( | const wxScopedCharTypeBufferBase & | buf | ) |

wxWCharBuffer::wxWCharBuffer | ( | const CharType * | str = `NULL` | ) |

wxWCharBuffer::wxWCharBuffer | ( | size_t | len | ) |

wxWCharBuffer::wxWCharBuffer | ( | const wxCStrData & | cstr | ) |